%global srcname msrest
%global common_description %{summary}.

# Ignore bytecode compilation errors with Python 2 (since the library provides
# some Python 3-only files)
%global _python_bytecompile_errors_terminate_build 0

Name:           python-%{srcname}
Version:        0.6.9
Release:        1%{?dist}
Summary:        The runtime library "msrest" for AutoRest generated Python clients

License:        MIT
URL:            https://github.com/Azure/msrest-for-python
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Fix build with old versions of setuptools library
Patch0:         %{name}-0.6.2-setup.patch
# Fix support with isodate < 0.6.0
Patch1:         %{name}-0.6.2-isodate.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-certifi
Requires:       python-enum34
Requires:       python-isodate
Requires:       python-requests
Requires:       python-requests-oauthlib
Requires:       python-typing
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%prep
%autosetup -p0 -n %{srcname}-for-python-%{version}


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE.md
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/


%changelog
* Fri Aug 09 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9

* Mon Apr 08 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.6-1
- Update to 0.6.6

* Mon Feb 04 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.4-1
- Initial RPM release
